| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes

# IG::Plot2d::GraphWindowNPlot Class Reference

Stand-alone graph window using NPlot as plotting engine. For layout, GraphWindowTemplate class is inherited. More...

Inheritance diagram for IG::Plot2d::GraphWindowNPlot:
[legend]
Collaboration diagram for IG::Plot2d::GraphWindowNPlot:
[legend]

List of all members.

## Public Member Functions
| GraphWindowNPlot ()
## Protected Member Functions
new void | ResumeLayout ()
| Overridden ResumeLayout() that enables switching on or off the original ResumeLayout() dependent on the value of the ResumeLayoutInInitializeComponent flag.
override void | InitializeComponent ()
| Required method for Designer support.
## Protected Attributes
NPlot.Windows.PlotSurface2D | pnlGraphNPlot

## Detailed Description

Stand-alone graph window using NPlot as plotting engine. For layout, GraphWindowTemplate class is inherited.

$A Igor Sept09;

## Constructor & Destructor Documentation

IG::Plot2d::GraphWindowNPlot::GraphWindowNPlot | ( |  | ) | `[inline]`

## Member Function Documentation

new void IG::Plot2d::GraphWindowNPlot::ResumeLayout | ( |  | ) | `[inline, protected]`

Overridden ResumeLayout() that enables switching on or off the original ResumeLayout() dependent on the value of the ResumeLayoutInInitializeComponent flag.

Reimplemented from IG::Plot2d::GraphWindowTemplate.

override void IG::Plot2d::GraphWindowNPlot::InitializeComponent | ( |  | ) | `[inline, protected, virtual]`

Required method for Designer support.

Reimplemented from IG::Plot2d::GraphWindowTemplate.

## Member Data Documentation

NPlot.Windows.PlotSurface2D IG::Plot2d::GraphWindowNPlot::pnlGraphNPlot`[protected]`

The documentation for this class was generated from the following files:

- GraphWindowNPlot.cs
- GraphWindowNPlot.Designer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events